gi-atk-2.0.28: Atk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Atk.Objects.NoOpObject

Contents

- Exported types
- Methods
  - new

Description

An AtkObject which purports to implement all ATK interfaces.

An AtkNoOpObject is an AtkObject which purports to implement all ATK interfaces. It is the type of AtkObject which is created if an accessible object is requested for an object type for which no factory type is specified.

Synopsis

- newtype NoOpObject = NoOpObject (ManagedPtr NoOpObject)
- class (GObject o, IsDescendantOf NoOpObject o) => IsNoOpObject o
- toNoOpObject :: (MonadIO m, IsNoOpObject o) => o -> m NoOpObject
- noOpObjectNew :: (HasCallStack, MonadIO m, IsObject a) => a -> m NoOpObject

# Exported types

newtype NoOpObject Source #

Memory-managed wrapper type.

Constructors

NoOpObject (ManagedPtr NoOpObject) |

#### Instances

Instances details

Eq NoOpObject Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject Methods (==) :: NoOpObject -> NoOpObject -> Bool Source # (/=) :: NoOpObject -> NoOpObject -> Bool Source #
GObject NoOpObject Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject
ManagedPtrNewtype NoOpObject Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject Methods toManagedPtr :: NoOpObject -> ManagedPtr NoOpObject Source #
TypedObject NoOpObject Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject Methods glibType :: IO GType Source #
HasParentTypes NoOpObject Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject
IsGValue (Maybe NoOpObject) Source # | Convert `NoOpObject` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Atk.Objects.NoOpObject Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe NoOpObject -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe NoOpObject) Source #
type ParentTypes NoOpObject Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject type ParentTypes NoOpObject = '[Object, Object, Action, Component, Document, EditableText, Hypertext, Image, Selection, Table, TableCell, Text, Value, Window]

class (GObject o, IsDescendantOf NoOpObject o) => IsNoOpObject o Source #

Type class for types which can be safely cast to `NoOpObject`, for instance with `toNoOpObject`.

#### Instances

Instances details

(GObject o, IsDescendantOf NoOpObject o) => IsNoOpObject o Source # |
Instance details Defined in GI.Atk.Objects.NoOpObject

toNoOpObject :: (MonadIO m, IsNoOpObject o) => o -> m NoOpObject Source #

Cast to `NoOpObject`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addColumnSelection, addRelationship, addRowSelection, addSelection, bindProperty, bindPropertyFull, clearSelection, contains, copyText, cutText, deleteText, doAction, forceFloating, freezeNotify, getv, grabFocus, initialize, insertText, isChildSelected, isColumnSelected, isFloating, isRowSelected, isSelected, notify, notifyByPspec, notifyStateChange, pasteText, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refAt, refRelationSet, refSelection, refSink, refStateSet, removeColumnSelection, removeFocusHandler, removePropertyChangeHandler, removeRelationship, removeRowSelection, removeSelection, runDispose, scrollSubstringTo, scrollSubstringToPoint, scrollTo, scrollToPoint, selectAllSelection, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributeValue, getAttributes, getBoundedRanges, getCaption, getCaretOffset, getCharacterAtOffset, getCharacterCount, getCharacterExtents, getColumnAtIndex, getColumnDescription, getColumnExtentAt, getColumnHeader, getColumnHeaderCells, getColumnSpan, getCurrentPageNumber, getCurrentValue, getData, getDefaultAttributes, getDescription, getDocument, getDocumentType, getExtents, getHelpText, getImageDescription, getImageLocale, getImagePosition, getImageSize, getIncrement, getIndexAt, getIndexInParent, getKeybinding, getLayer, getLink, getLinkIndex, getLocale, getLocalizedName, getMaximumValue, getMdiZorder, getMinimumIncrement, getMinimumValue, getNAccessibleChildren, getNActions, getNColumns, getNLinks, getNRows, getNSelections, getName, getObjectLocale, getOffsetAtPoint, getPageCount, getParent, getPosition, getProperty, getQdata, getRange, getRangeExtents, getRole, getRowAtIndex, getRowColumnSpan, getRowDescription, getRowExtentAt, getRowHeader, getRowHeaderCells, getRowSpan, getRunAttributes, getSelectedColumns, getSelectedRows, getSelection, getSelectionCount, getSize, getStringAtOffset, getSubRanges, getSummary, getTable, getText, getTextAfterOffset, getTextAtOffset, getTextBeforeOffset, getTextSelections, getValueAndText.

#### Setters

setAccessibleId, setAttributeValue, setCaption, setCaretOffset, setColumnDescription, setColumnHeader, setCurrentValue, setData, setDataFull, setDescription, setExtents, setHelpText, setImageDescription, setName, setParent, setPosition, setProperty, setRole, setRowDescription, setRowHeader, setRunAttributes, setSelection, setSize, setSummary, setTextContents, setTextSelections, setValue.

## new

noOpObjectNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsObject a) |
=> a | `obj`: a `Object`
-> m NoOpObject | Returns: a default (non-functioning stub) `Object`

Provides a default (non-functioning stub) `Object`. Application maintainers should not use this method.